Subject: Re: iptables very slow after commit 784544739a25c30637397ace5489eeb6e15d7d49

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 12 Apr 2009 11:23:12 +0400

Hi.

On Sat, Apr 11, 2009 at 05:34:45PM -0700, Paul E. McKenney ([email-masked]) wrote:
> The issue at this point seems to be the need to get accurate snapshots
> of various counters -- there are a number of Linux networking users who
> need to account for every byte flowing through their systems.  However,

If we add or change the rule we can not know if iptables' return to
userspace does mean that rule started to act. There may be other queues
already filled with the packets which could match the new rule (like
receiving socket buffer). So effectively we want it to take effect very
soon. What if there will be a timer which will synchronize RCU-added states,
so if we update single rule - it will take effect in a second, and if we
update bunch of them - during the delay second we pretty much can load
them all.

-- 
	Evgeniy Polyakov